This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 738681 - (CVE-2011-3591, CVE-2011-3592) CVE-2011-3591 CVE-2011-3592 phpMyAdmin: Multiple XSS flaws in versions v3.4.0 to v3.4.4 (PMASA-2011-14)
CVE-2011-3591 CVE-2011-3592 phpMyAdmin: Multiple XSS flaws in versions v3.4.0...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20110914,repor...
: Security
Depends On: 738685 738686
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-15 10:17 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-03 13:57:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-09-15 10:17:28 EDT
Multiple XSS flaws have been recently reported in the v3.4.4 version of phpMyAdmin (PMASA-2011-14):

[1] http://www.phpmyadmin.net/home_page/security/PMASA-2011-14.php

1) An XSS flaw was found in the way phpMyAdmin processed row content,
   containing JavaScript code, after its inline editing and saving,

2) It was found that phpMyAdmin did not properly sanitize the content
   of db, table, and column names prior use of their values.

A remote attacker could use these flaws to conduct XSS attacks (execute arbitrary HTML or web script) by tricking authenticated phpMyAdmin user into visiting of a specially-crafted URL.

References:
[2] http://secunia.com/advisories/45991/

Relevant upstream patches:
[3] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=bda213c58aec44925be661acb0e76c19483ea170
[4] http://phpmyadmin.git.sourceforge.net/git/gitweb.cgi?p=phpmyadmin/phpmyadmin;a=commitdiff;h=2f28ce9c800274190418da0945ce3647d36e1db6
Comment 1 Jan Lieskovsky 2011-09-15 10:22:57 EDT
These issues affect the versions of the phpMyAdmin package, as shipped with Fedora release of 14 and 15. Please schedule an update.

--

These issues affect the versions of the phpMyAdmin package, as present within EPEL-6 repository. Please schedule an update.

--

These issues do NOT affect the versions of the phpMyAdmin package, as present within EPEL-4 and EPEL-5 repositories. If I looked correctly, the relevant functionality isn't there yet. But Robert, please have look and confirm too,
so we could be sure.

Thanks, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team
Comment 2 Jan Lieskovsky 2011-09-15 10:24:02 EDT
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 738685]
Affects: epel-6 [bug 738686]
Comment 3 Jan Lieskovsky 2011-09-15 10:28:46 EDT
CVE Request:
[5] http://www.openwall.com/lists/oss-security/2011/09/15/2
Comment 4 Robert Scheck 2011-09-17 20:32:52 EDT
This also affects EPEL 5 (phpMyAdmin3).
Comment 5 Vincent Danen 2011-10-03 13:55:34 EDT
Issue #1 (XSS flaw) received the name CVE-2011-3591.

Issue #2 (improper sanitization) received the name CVE-2011-3592.

http://www.openwall.com/lists/oss-security/2011/09/30/8
Comment 6 Vincent Danen 2011-10-03 13:57:25 EDT
Fedora has been updated to phpMyAdmin-3.4.5-1.fc{14,15,16}.

EPEL has been updated to phpMyAdmin-3.4.5-1.el{5,6}

Note You need to log in before you can comment on or make changes to this bug.